Bug 13943 - CTDB recovery daemon and event daemon leak memory
CTDB recovery daemon and event daemon leak memory
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-13 10:26 UTC by Martin Schwenke
Modified: 2019-05-21 10:57 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 and 4.10 (3.25 KB, patch)
2019-05-15 02:12 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-05-13 10:26:17 UTC
There are memory leaks in both the recovery daemon and event daemon.
Comment 1 Martin Schwenke 2019-05-15 02:12:23 UTC
Created attachment 15154 [details]
Patch for 4.9 and 4.10

Same patch applies to 4.9 and 4.10.
Comment 2 Amitay Isaacs 2019-05-15 03:47:30 UTC
Hi Karolin,

This is ready for v4-9 and v4-10.

Thanks.
Comment 3 Karolin Seeger 2019-05-16 10:36:45 UTC
(In reply to Amitay Isaacs from comment #2)
Pushed to autobuild-v4-{10,9}-test.
Comment 4 Karolin Seeger 2019-05-21 10:57:33 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!